# Bookmakers

The **Bookmakers** endpoint will help you to set up Odds in a proper way in your website/application. This endpoint is very useful for administrative purposes to check and structure the Bookmakers' availability.

Bookmakers' data can be requested by ID, search or all in one response.

* **GET All Bookmakers:** returns all the bookmakers.
* **GET Bookmaker by  ID:** returns the bookmaker from your requested ID.
* **GET Bookmaker by Search:** returns the bookmaker from your search query.
* **GET Bookmakers by Fixture ID:** returns the bookmakers from your requested fixture ID.

#### Include options

Not applicable.

#### Related entities

[Odds](/v3/endpoints-and-entities/entities/odd-and-prediction.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/bookmakers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
